/**
 * Template: snow-monkey
 * Theme Name: Snow Monkey Child
 */


/* フォントの変更 */
/*
.l-body {
    font-family: 'Yu Gothic', 'YuGothic', sans-serif;
}
*/

/* ページタイトルをひと回り小さくする */
c-entry__title {
  font-size: 1.5rem;
}
@media (min-width: 40em) {
  .c-entry__title {
		font-size: 1.75rem;
  }
}

/* ヘッダーアイキャッチのサイズを調整（PCは180px、スマホは150px）　*/
.c-page-header__bgimage{
	height:150px ;
}
.c-page-header{
	margin-bottom:-170px;
}

@media (min-width: 40em) {
	.c-page-header__bgimage {
	height:180px ;
	}
		.c-page-header{
	margin-bottom:-260px ;
	}
}

/* アイキャッチをヘッダーに載せる時のタイトルの高さの調整　*/
.c-page-header__content {
	margin-top: -100px ;
}
@media (min-width: 40em) {
	.c-page-header__content {
	margin-top: -180px;
	}
}

/* カスタマイザーの「デザイン」の項目のアイキャッチ画像を「ページヘッダーの上にタイトルを表示」にした場合は、テキストに影をつける */
.c-page-header__title {
	text-shadow: 1px 0 10px #111 ;
}


/*トップページの各セクションの幅を狭める */
.wp-block-snow-monkey-blocks-section.smb-section{
	padding: 60px 0 ;
}

/*Easy Table of Contentsのデザイン*/
/* 目次リンクの下線を非表示 */
#ez-toc-container a {
text-decoration: none;
}
/* 目次リンクにマウスが乗ったら下線を表示 */
#ez-toc-container a:hover {
text-decoration-line: underline;
}

/* 目次タイトル */
.ez-toc-title {
	font-size:20px ;
	margin-bottom:10px ;
}

#ez-toc-container{
	font-weight: bold;
	color: #555;
	border-top: solid 5px;
	border-color:	#406ec9;/*上線の色*/
	margin:20px -3px 20px -3px;
	border-radius: 3px 3px 15px 15px;/* 左上、右上、右下、左下 */
	font-size: 15px;
	padding: 10px 20px 20px 20px;
	background-color: #f0f0f0 ;
}
#ez-toc-container ul{
	counter-reset:　number; /*番号が増える*/
	list-style:none; /*記号は非表示*/	
}
#ez-toc-container ul li{
	line-height: 2.4em;
	margin-left:-20px; /*左端から離す*/
}
/*2レベル目*/
#ez-toc-container ul ul li{
	font-weight: normal; 
	line-height: 2.0em;
	font-size:13px ;
}
/*２レベル目の前に記号*/
#ez-toc-container ul ul li::before{
	content: ">";
	padding-right: 5px;
	margin-left:10px;
	color: #aaa;
}
#ez-toc-container a {
	color: #555;
}


/*サイドバー自動追尾の目次で、記号を非表示*/
.ez-toc-list ul {
	counter-reset:　number; /*番号が増える*/
	list-style:none; /*記号は非表示*/
	font-size:12px ;
}

/*サイドバー自動追尾の目次で、閲覧中セクションをハイライトして右にずらす*/
.ez-toc-list .active {
	background-color: #ddf2ff;
	padding-left: 8px;
}
.ez-toc-list a {
	text-decoration: none ;
	color: #555;
}
.ez-toc-list a:hover {
	text-decoration: underline ;
}

/*サイドバー自動追尾の目次で、２レベル目の前に記号*/
.ez-toc-list ul li::before {
	content: ">";
	padding-right: 5px;
	margin-left:10px;
	color: #aaa;
}

/*サイドバー自動追尾の目次の高さを指定してはみ出た分をスクロールさせる*/
.ez-toc-widget-container .ez-toc-list{
	height:400px;
	overflow: auto;
}



/* ブログ投稿記事の日付の列にある更新日を非表示にする */
.c-meta__item--modified{
	display:none;
}

/* ブログ投稿記事の日付の列にあるライターを非表示にする */
.c-meta__item--author{
	display:none;
}

/* フロントページの記事のライターを非表示にする */
/*
.c-entry-summary__meta{
	visibility:hidden
}
*/

/* フロントページの一番上の「お知らせバー」の下の隙間をなしにした */
.p-section-front-page-content{
	padding-top:0px;
}


/* 公式ブログ（https://snow-monkey.2inc.org/2018/12/17/snow-monkey-css-customize/）ここから */
/* 背景色を変える */
/*
body {
  background-color: #ffffff;
}
*/

/* ブログカードは透明で背景色とかぶっちゃうので白に */
.wp-oembed-blog-card {
  background-color: #fff;
}

/* 最上部のヘッダーの背景色 */
.l-header {
	background-color: #fff;
}

/* 最上部のサブメニューの背景色・三角色・リンク文字色 */
:not(.l-header__drop-nav) .p-global-nav .c-navbar__submenu {
	background-color: rgba(64,110,201,0.9);
}
:not(.l-header__drop-nav) .p-global-nav .c-navbar__item > .c-navbar__submenu::before {
	border-bottom-color: rgba(64,110,201,0.9);
}
:not(.l-header__drop-nav) .p-global-nav .c-navbar__subitem > a {
	color: #fff;/* リンクの文字色 */
}

/* スクロールした時に落ちてくるドロップメニューの背景色 */
.l-header__drop-nav {
	background-color: rgba(255,255,255,0.7);
}
/* スクロールした時に落ちてくるドロップメニューのサブメニューの背景色・三角色・リンク文字色 */
.l-header__drop-nav .p-global-nav .c-navbar__submenu {
	background-color: #406ec9;
}
.l-header__drop-nav .p-global-nav .c-navbar__item > .c-navbar__submenu::before {
	border-bottom-color: #406ec9; 
}
.l-header__drop-nav .p-global-nav .c-navbar__subitem > a {
  color: #fff;
}


/* フッターの背景色を変える */
.l-footer-widget-area {
  background-color: #e8e8e8;
}

/* コピーライトの背景色を変える */
.l-footer .c-copyright {
  background-color: #0B2161;
}

/* 項目ブロックの画像をトリミングし表示サイズを統一する（https://snow-monkey.2inc.org/2019/07/25/trim-images-of-items/） */
.smb-panels__item__figure {
  position: relative;
  padding:56.25% 0 0 0; /* 75% なら 4:3、56.25% なら 16:9 */
  overflow: hidden;
}

.smb-panels__item__figure > img {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  object-fit: cover;
  object-position: 50% 50%; /* 画像を上下中央揃えしてトリミング */
  height: 100%;
  width: 100%;
}

/* 公式ブログ（https://snow-monkey.2inc.org/2018/12/17/snow-monkey-css-customize/）ここまで */


/* 吹き出しの背景色 */
.smb-balloon__body {
	background-color: #e2e2e2 ;
	border-radius: 18px ;
}
.smb-balloon__body:after {
    position: absolute;
    top: -20px;
    height: 0;
    width: 0;
    border-color: transparent transparent #e2e2e2 transparent ;
    border-style: solid;
    border-width: 0px 10px 20px 10px;
	margin-left: -4px;
}
@media (min-width: 40em){
.smb-balloon__body:after {
	position: absolute;
	top: 45%;
	left: -16px;
	height: 20px ;
	width: 20px;
	border-color: transparent #e2e2e2  transparent transparent;
	border-style: solid;
	border-width: 10px 16px 10px 0;
	}
}


/* パスワード入力欄の前のデフォルト文章→「このコンテンツはパスワードで保護されています。閲覧する場合はパスワードを入力してください。」を非表示にする */
.post-password-form p{
	display:none;
}

/* --- Twitter埋め込み枠 --- */
.twitter-wrap {
	width: 95%;
	margin: auto;
	border-top: 8px solid #037;
	border-bottom: 4px solid #037;
	box-shadow: 0px 2px 2px rgba(0, 0, 0, .4);
}
@media (min-width: 768px) {
	.twitter-wrap {
		width: 100%;
	}
}

/*ボタン：左と下に線があり、ホバー時にぬるっとスライド（サルワカのボタン集から）*/
.btn-partial-line {
  position: relative;
  display: inline-block;
  font-weight: bold;
  padding: 0.25em 0.5em;
  text-decoration: none;
  border-bottom: solid 3px #668ad8;
  border-left: solid 3px #668ad8;
  color: #668ad8;
  transition: .4s;
}
.btn-partial-line:hover {
  padding-left: 0.7em;
  padding-right: 0.3em;
}

/*ボタン：少し浮き上がったふせん風（サルワカのボタン集から）*/
.btn-sticky {
  display: inline-block;
  padding: 0.5em 1em;
  text-decoration: none;
  background: #f7f7f7;
  border-left: solid 6px #668ad8;/*左線*/
  color: #878787;/*文字色*/
  font-weight: bold;
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.29);
}
.btn-sticky:active {
  box-shadow: inset 0 0 2px rgba(128, 128, 128, 0.1);
  transform: translateY(2px);
}

/*ボタン：二重線囲みでホバー時に着色（サルワカのボタン集から）*/
.btn-flat-double-border {
	display: inline-block;
	padding: 0.5em 1em;
	text-decoration: none;
	color: #000066;
	border: double 4px #000066;
	border-radius: 3px;
	transition: .4s;
}
.btn-flat-double-border:hover {
	background: #fffbef;/* ホバー時の色 */
}

/*黄色マーカーを引く */
.high_light_yellow {
    display: inline-block;
    position: relative;
}
.high_light_yellow:before {
    position: absolute;
    bottom: 0.25em;
    left: 0px;
    right: 0px;
    z-index: -1;
    width: 100%;
    height: 0.5em;
    background-color: rgba(255, 255, 0, 0.5);
    content: "";
}

/*青色マーカーを引く*/
.high_light_blue {
    display: inline-block;
    position: relative;
}
.high_light_blue:before {
    position: absolute;
    bottom: 0.25em;
    left: 0px;
    right: 0px;
    z-index: -1;
    width: 100%;
    height: 0.5em;
    background-color: rgba(0, 0, 255, 0.5);
    content: "";
}

/*赤色マーカーを引く*/
.high_light_red {
    display: inline-block;
    position: relative;
}
.high_light_red:before {
    position: absolute;
    bottom: 0.25em;
    left: 0px;
    right: 0px;
    z-index: -1;
    width: 100%;
    height: 0.5em;
    background-color: rgba(255, 0, 0, 0.5);
    content: "";
}

/*緑色マーカーを引く*/
.high_light_green {
    display: inline-block;
    position: relative;
}
.high_light_green:before {
    position: absolute;
    bottom: 0.25em;
    left: 0px;
    right: 0px;
    z-index: -1;
    width: 100%;
    height: 0.5em;
    background-color: rgba(0, 128, 0, 0.5);
    content: "";
}

/*蛍光マーカーを引く*/
.keiko_yellow{
	background: linear-gradient(transparent 50%, rgba(255, 252, 107, .69) 50%);
}
.keiko_blue{
	background: linear-gradient(transparent 50%, rgba(107, 182, 255, .24) 50%);
}
.keiko_red{
	background: linear-gradient(transparent 50%, rgba(255, 88, 88, 0.24) 50%);
}
.keiko_green{
	background: linear-gradient(transparent 50%, rgba(151, 232, 154, .69) 50%);
}



